BdbService.AsyncProcessor.getEnvironmentConfig (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Class BdbService.AsyncProcessor.getEnvironmentConfig<I extends BdbService.AsyncIface>

- java.lang.Object
- - org.apache.thrift.AsyncProcessFunction<I,BdbService.getEnvironmentConfig_args,TEnvironmentConfig>
  - - com.sleepycat.thrift.BdbService.AsyncProcessor.getEnvironmentConfig<I>

- Enclosing class:
    BdbService.AsyncProcessor<I extends BdbService.AsyncIface>

      public static class BdbService.AsyncProcessor.getEnvironmentConfig<I extends BdbService.AsyncIface>
      extends org.apache.thrift.AsyncProcessFunction<I,BdbService.getEnvironmentConfig_args,TEnvironmentConfig>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `getEnvironmentConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BdbService.getEnvironmentConfig_args` | `getEmptyArgsInstance()`
    `org.apache.thrift.async.AsyncMethodCallback<TEnvironmentConfig>` | `getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
    `protected boolean` | `isOneway()`
    `void` | `start(I iface, BdbService.getEnvironmentConfig_args args, org.apache.thrift.async.AsyncMethodCallback<TEnvironmentConfig> resultHandler)`

    - ### Methods inherited from class org.apache.thrift.AsyncProcessFunction

      `getMethodName, sendResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### getEnvironmentConfig

          public getEnvironmentConfig()

  - ### Method Detail

    - #### getEmptyArgsInstance

          public BdbService.getEnvironmentConfig_args getEmptyArgsInstance()

      Specified by:
        `getEmptyArgsInstance` in class `org.apache.thrift.AsyncProcessFunction<I extends BdbService.AsyncIface,BdbService.getEnvironmentConfig_args,TEnvironmentConfig>`

    - #### getResultHandler

          public org.apache.thrift.async.AsyncMethodCallback<TEnvironmentConfig> getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb,
                                                                                                  int seqid)

      Specified by:
        `getResultHandler` in class `org.apache.thrift.AsyncProcessFunction<I extends BdbService.AsyncIface,BdbService.getEnvironmentConfig_args,TEnvironmentConfig>`

    - #### isOneway

          protected boolean isOneway()

      Specified by:
        `isOneway` in class `org.apache.thrift.AsyncProcessFunction<I extends BdbService.AsyncIface,BdbService.getEnvironmentConfig_args,TEnvironmentConfig>`

    - #### start

          public void start(I iface,
                            BdbService.getEnvironmentConfig_args args,
                            org.apache.thrift.async.AsyncMethodCallback<TEnvironmentConfig> resultHandler)
                     throws org.apache.thrift.TException

      Specified by:
        `start` in class `org.apache.thrift.AsyncProcessFunction<I extends BdbService.AsyncIface,BdbService.getEnvironmentConfig_args,TEnvironmentConfig>`
      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.